from django.db import models


class ChangeFactionPrice(models.Model):
    price = models.DecimalField(max_digits=6, decimal_places=2, default=10.00)

    def __str__(self):
        return f"Precio para cambiar facción: {self.price} EUR"

class LevelUpPrice(models.Model):
    price = models.DecimalField(max_digits=10, decimal_places=2, default=10.00)

    def __str__(self):
        return f"Subir a nivel 80: {self.price} EUR"

class GoldPrice(models.Model):
    gold_amount = models.IntegerField()  # Cantidad de oro
    price = models.DecimalField(max_digits=10, decimal_places=2)  # Precio en EUR

    def __str__(self):
        return f"{self.gold_amount} oro - {self.price} EUR"

class TransferPrice(models.Model):
    price = models.DecimalField(max_digits=5, decimal_places=2)

    def __str__(self):
        return f"Precio de transferencia: {self.price} EUR"

class RenamePrice(models.Model):
    price = models.DecimalField(max_digits=5, decimal_places=2, default=2.00)

    def __str__(self):
        return f"{self.price} EUR"

class CustomizePrice(models.Model):
    price = models.DecimalField(max_digits=5, decimal_places=2, default=1.00)  

    def __str__(self):
        return f"{self.price} EUR"

class ChangeRacePrice(models.Model):
    price = models.DecimalField(max_digits=5, decimal_places=2)

    def __str__(self):
        return f"Cambiar raza: {self.price} EUR"       

class GuildRenameSettings(models.Model):
    cost = models.DecimalField(max_digits=10, decimal_places=2, default=10, help_text="Costo en euros para renombrar una hermandad.")

    def __str__(self):
        return f"Configuración de renombrar hermandad - Costo: {self.cost} €"
